﻿//------------------------------------------------------------------------------
//	｢Enter キー｣ を ｢Tab キー｣ のように使うための ｢クラス｣
//
//		このクラスについては，下記の書籍を参照のこと
//		三上直樹：“C# による ｢Windows フォーム｣ プログラミング”，第３章，
//		工学社，2012年
//
//		作成者：三上直樹，2013/01/27 作成，©三上直樹 2013
//------------------------------------------------------------------------------

using System.Windows.Forms;

namespace Mikami.WindowsApplication
{
	public static class EnterToTab
	{
		public static void Set(Form form)
		{
			form.KeyPreview = true;

			form.KeyPress += (s, e) =>
			{
				if (e.KeyChar != '\r') return;	// ｢Enter キー｣ 以外はリターン

				form.SelectNextControl(form.ActiveControl,
									   Control.ModifierKeys != Keys.Shift,
									   true, true, true);

				e.Handled = true;	// ｢Enter キー｣ のデフォルト動作をキャンセル
			};
		}
	}
}
